com.sun.mail.gimap

## Class GmailRawSearchTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - javax.mail.search.StringTerm
    - - com.sun.mail.gimap.GmailRawSearchTerm

- All Implemented Interfaces:
    Serializable

      public final class GmailRawSearchTerm
      extends StringTerm

  This class implements searching using the Gmail X-GM-RAW extension.
  Since:
    JavaMail 1.4.6
  Author:
    Bill Shannon
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.mail.search.StringTerm

      `ignoreCase, pattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GmailRawSearchTerm(String pattern)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Equality comparison.
    `boolean` | `match(Message msg)` The match method.

    - ### Methods inherited from class javax.mail.search.StringTerm

      `getIgnoreCase, getPattern, hashCode, match`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GmailRawSearchTerm

          public GmailRawSearchTerm(String pattern)

      Constructor.
      Parameters:
        `pattern` - the pattern to search for

  - ### Method Detail

    - #### match

          public boolean match(Message msg)

      The match method.
      Specified by:
        `match` in class `SearchTerm`
      Parameters:
        `msg` - the pattern match is applied to this Message's subject header
      Returns:
        true, it the match succeeds, false if the match fails
      Throws:
        `RuntimeException` - this can't be supported locally

    - #### equals

          public boolean equals(Object obj)

      Equality comparison.
      Overrides:
        `equals` in class `StringTerm`

Copyright © 2016 Oracle. All rights reserved.